
From: Richard Purdie <rpurdie@rpsys.net>

Fix a couple of compile errors in the corgi keyboard driver.

Signed-off-by: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/keyboard/corgikbd.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/input/keyboard/corgikbd.c~corgi-keyboard-fix-a-couple-of-compile-errors drivers/input/keyboard/corgikbd.c
--- devel/drivers/input/keyboard/corgikbd.c~corgi-keyboard-fix-a-couple-of-compile-errors	2005-07-29 03:26:17.000000000 -0700
+++ devel-akpm/drivers/input/keyboard/corgikbd.c	2005-07-29 03:26:17.000000000 -0700
@@ -235,7 +235,7 @@ static void corgikbd_hinge_timer(unsigne
 	unsigned long gprr;
 	unsigned long flags;
 
-	gprr = read_scoop_reg(SCOOP_GPRR) & (CORGI_SCP_SWA | CORGI_SCP_SWB);
+	gprr = read_scoop_reg(&corgiscoop_device.dev, SCOOP_GPRR) & (CORGI_SCP_SWA | CORGI_SCP_SWB);
 	if (gprr != sharpsl_hinge_state) {
 		hinge_count = 0;
 		sharpsl_hinge_state = gprr;
@@ -267,7 +267,7 @@ static int __init corgikbd_probe(struct 
 	dev_set_drvdata(dev,corgikbd);
 	strcpy(corgikbd->phys, "corgikbd/input0");
 
-	spin_lock_init(corgikbd->lock);
+	spin_lock_init(&corgikbd->lock);
 
 	/* Init Keyboard rescan timer */
 	init_timer(&corgikbd->timer);
_
